﻿Public Class ListControlDemoForm

    Private Sub InitForm()
        ' Set the selection mode for the listboxex.
        LeftListBox.SelectionMode = SelectionMode.MultiExtended
        RightListBox.SelectionMode = SelectionMode.MultiExtended

        ' Disable the transfer buttons.
        TransferRightButton.Enabled = False
        TransferLeftButton.Enabled = False

        'Me.CancelButton=ExitButton
        LoadListBox(LeftListBox)
        LoadListBox(RightListBox)

        ' TODO: come back and finish this.
        LeftListBox.SelectedIndex = 0
        RightListBox.SelectedIndex = 0
    End Sub

    Private Sub LoadListBox(ByVal ListBox As ListBox)
        If ListBox.Name = "LeftListBox" Then
            For item As Int32 = 1 To 5
                ListBox.Items.Add("Item" & item)
            Next
        Else
            For item As Int32 = 6 To 10
                ListBox.Items.Add("Item" & item)
            Next
        End If
    End Sub


    Private Sub ListControlDemoForm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        InitForm()
    End Sub

    Private Sub ExitButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ExitButton.Click
        Me.Close()
    End Sub

    Private Sub TransferRightButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TransferRightButton.Click
        ' Copy item from left to right listbox.
        ' TODO: figure how to transfer multiple items.
        For Each item In LeftListBox.SelectedItems
            RightListBox.Items.Add(item)
        Next

        ' Remove item from left listbox.
        For i As Int32 = LeftListBox.SelectedItems.Count - 1 To 0 Step -1
            LeftListBox.Items.RemoveAt(i)
        Next

        ' Disable the right transfer button.
        TransferRightButton.Enabled = False
    End Sub

    Private Sub TransferLeftButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TransferLeftButton.Click
        ' TODO: Finish this as well.
    End Sub

    Private Sub BothListBox_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RightListBox.SelectedIndexChanged, LeftListBox.SelectedIndexChanged
        Dim listbox As ListBox = CType(sender, ListBox)

        Select Case listbox.Name
            Case "LeftListBox"
                TransferRightButton.Enabled = True

            Case "RightListBox"
                TransferLeftButton.Enabled = True
        End Select
    End Sub
End Class
