﻿Public Class Form1
    Private clickPt As Point


    Private Sub Form1_DragDrop(ByVal sender As Object, ByVal e As System.Windows.Forms.DragEventArgs) Handles Me.DragDrop
        ' Since the button is moved dynamically, there is no point in redrawing
        ' it here again.
    End Sub

    Private Sub Form1_DragOver(ByVal sender As Object, ByVal e As System.Windows.Forms.DragEventArgs) Handles Me.DragOver
        ' Indicate that a move can be handled.
        e.Effect = DragDropEffects.Move

        ' Move the button itself, to offer a more dynamic drag. If this line is not
        ' added, then just the cursor will move and the button will stay at the source
        ' until the end of the drag.
        Button1.Location = Me.PointToClient(New Point(e.X - clickPt.X, e.Y - clickPt.Y))
    End Sub


    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Specify that the form will accept a drop.
        Me.AllowDrop = True
    End Sub

    Private Sub Button1_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Button1.MouseDown
        ' Capture the point on the control where the user clicked. This will
        ' allow for proper placement of the control as the mouse is moved.
        clickPt.X = e.X
        clickPt.Y = e.Y

        ' Initiate drag and indicate action desired.
        Button1.DoDragDrop(Button1, DragDropEffects.Move)
    End Sub
End Class
