﻿Public Class FocusedTextBox
    Private _backColor As Color
    Private _leavFocusColor As Color

    Public Property Mandatory() As Boolean
    Public Property EnterFocusColor() As Color
    Public Property MandatoryColor() As Color


    Private Sub FocusedTextBox_Enter(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Enter
        _backColor = Me.BackColor
        Me.BackColor = EnterFocusColor
    End Sub

    Private Sub FocusedTextBox_Leave(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Leave
        If Trim(Me.Text).Length = 0 And Mandatory Then
            Me.BackColor = MandatoryColor
        Else
            ' This does not work properly if the backbolor is red
            ' to begin with. Change to the default control color
            ' or add a backColor property.
            Me.BackColor = _backColor
        End If
    End Sub
End Class
