﻿Public Class DisplayAuthorTable
    Dim database As New BooksDataContext()

    Private Sub DisplayAuthorTable_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        AuthorBindingSource.DataSource =
            From author In database.Authors
            Order By author.AuthorID
            Select author
    End Sub

    Private Sub AuthorBindingNavigatorSaveItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AuthorBindingNavigatorSaveItem.Click
        Validate()
        AuthorBindingSource.EndEdit()
        database.SubmitChanges()
    End Sub
End Class
