﻿Public Class PanelDemo
    Private shouldPaint As Boolean = False

    Private Sub Panel1_MouseEnter(ByVal sender As Object, ByVal e As System.EventArgs) Handles Panel1.MouseEnter
        Panel1.BackColor = Color.White
    End Sub

    Private Sub Panel1_MouseHover(ByVal sender As Object, ByVal e As System.EventArgs) Handles Panel1.MouseHover

    End Sub

    Private Sub Panel1_MouseLeave(ByVal sender As Object, ByVal e As System.EventArgs) Handles Panel1.MouseLeave
        Panel1.BackColor = Button.DefaultBackColor
    End Sub

    Private Sub Panel1_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Panel1.MouseMove
        Dim controlPt As Point = New Point(e.X, e.Y)
        Dim screenPt As Point = Panel1.PointToScreen(controlPt)

        Label1.Text = "Control: " & controlPt.X & "," & controlPt.Y & "      " & "Screen: " & screenPt.X & ", " & screenPt.Y
    End Sub

    Private Sub PanelDemo_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles Me.KeyPress
        If AscW(e.KeyChar) = Keys.Escape Then
            Me.Close()
        End If
    End Sub

    Private Sub PanelDemo_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Me.MouseDown
        shouldPaint = True
    End Sub

    Private Sub PanelDemo_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Me.MouseMove
        Label1.Text = "Form: " & e.X & ", " & e.Y

        If shouldPaint Then
            Using g As Graphics = CreateGraphics()
                g.DrawEllipse(Pens.CadetBlue, e.X, e.Y, 4, 4)
            End Using
        End If
    End Sub

    Private Sub PanelDemo_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Me.MouseUp
        shouldPaint = False
    End Sub
End Class
