﻿Public Class WordConversionForm

    ' The event handler that gets executed after user clicks on the convert button.
    ' Notice the Handles clause at the end of the declaration.
    Private Sub convertButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles convertButton.Click
        Dim originalWord As String
        Dim convertedWord As String = ""

        originalWord = originalTextBox.Text

        ' The for each statement allows you to quickly enumerate through all
        ' elements of the string (a collection of characters). This is convenient
        ' when you don't know the upper bound.
        For Each ch In originalWord
            convertedWord &= Char.ToUpper(ch)
        Next

        ' Update the converted textbox.
        convertedTextBox.Text = convertedWord

        originalTextBox.SelectAll()
    End Sub

    Private Sub originalTextBox_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles originalTextBox.TextChanged
        convertedTextBox.Clear()
    End Sub
End Class
