﻿Public Class Form1
    Private map As Bitmap
    Private fillBackColor As Color
    Private paintColor As Color = Color.Wheat


    Private Sub FloodFill(ByVal x As Integer, ByVal y As Integer, ByVal color As Color)
        Dim pixelColor As Color = map.GetPixel(x, y)

        If pixelColor = fillBackColor Then
            map.SetPixel(x, y, color)

            FloodFill(x - 1, y, color)
            FloodFill(x + 1, y, color)
            FloodFill(x, y - 1, color)
            FloodFill(x, y + 1, color)
        End If
    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        PictureBox1.Image = Image.FromFile("usamap.bmp")
        map = CType(PictureBox1.Image, Bitmap)

    End Sub


    Private Sub PictureBox1_MouseClick(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles PictureBox1.MouseClick
        fillBackColor = map.GetPixel(e.X, e.Y)

        ' Fill the shape
        If fillBackColor.A = paintColor.A AndAlso
            fillBackColor.R = paintColor.R AndAlso
            fillBackColor.G = paintColor.G AndAlso
            fillBackColor.B = paintColor.B Then
            MessageBox.Show("State already painted")
        Else
            FloodFill(e.X, e.Y, paintColor)
            PictureBox1.Image = map
        End If
    End Sub
End Class
