﻿Imports System.IO


Public Class FileIO

    Private Structure Customer
        Public First As String
        Public Last As String
        Public City As String
        Public State As String
    End Structure

    Private customers(4) As Customer


    Private Sub LoadListBoxFromFile(ByVal fileName As String)
        Dim sr As StreamReader = New StreamReader(fileName)
        Dim record As String
        Dim fields() As String
        Dim index As Int32 = 0

        Do While Not sr.EndOfStream
            record = sr.ReadLine()
            fields = record.Split(","c)

            With customers(index)
                .First = fields(0)
                .Last = fields(1)
                .City = fields(2)
                .State = fields(3)
            End With

            index += 1
        Loop
        sr.Close()

        customerDisplayListBox.Enabled = True

        For Each Customer In customers
            With customerDisplayListBox.Items
                .Add(Customer.First & " " &
                     Customer.Last & " " &
                     Customer.City & " " &
                     Customer.State)
            End With
        Next
    End Sub

    Private Sub OpenToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OpenToolStripMenuItem.Click
        Dim dialogResult As DialogResult

        With mainOpenFileDialog
            .InitialDirectory = Application.StartupPath
            .FileName = "*.txt"
            dialogResult = .ShowDialog()
        End With

        If dialogResult <> dialogResult.Cancel Then
            LoadListBoxFromFile(mainOpenFileDialog.FileName)
        End If
    End Sub

    Private Sub ExitToolStripMenuItem_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles ExitToolStripMenuItem.Click
        Me.Close()
    End Sub
End Class
