﻿Public Class ImageViewer
    Private imageList(5) As String
    Private currentIndex As Int32 = 0

    Private Sub LoadArrayWithImagePaths()
        imageList(0) = "C:\Users\Public\Pictures\Sample Pictures\Autumn Leaves.jpg"
        imageList(1) = "C:\Users\Public\Pictures\Sample Pictures\Creek.jpg"
        imageList(2) = "C:\Users\Public\Pictures\Sample Pictures\Desert Landscape.jpg"
        imageList(3) = "C:\Users\Public\Pictures\Sample Pictures\Dock.jpg"
        imageList(4) = "C:\Users\Public\Pictures\Sample Pictures\Forest.jpg"
        imageList(5) = "C:\Users\Public\Pictures\Sample Pictures\Forest Flowers.jpg"
    End Sub

    Private Sub DisplayNext()
        currentIndex += 1
        If currentIndex = imageList.GetUpperBound(0) + 1 Then
            currentIndex = 0
        End If
        imagePictureBox.Image = Image.FromFile(imageList(currentIndex))
    End Sub

    Private Sub DisplayPrevious()
        currentIndex -= 1
        If currentIndex = -1 Then
            currentIndex = imageList.GetUpperBound(0)
            'currentIndex = photoImageList.Images.Count - 1
        End If
        imagePictureBox.Image = Image.FromFile(imageList(currentIndex))
        'imagePictureBox.Image = photoImageList.Images(currentIndex)
    End Sub


    Private Sub ImageViewer_KeyUp(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles Me.KeyUp
        If e.KeyCode = Keys.Right Then
            DisplayNext()
        ElseIf e.KeyCode = Keys.Left Then
            DisplayPrevious()
        End If
    End Sub

    Private Sub ImageViewer_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        LoadArrayWithImagePaths()
        imagePictureBox.Image = Image.FromFile(imageList(currentIndex))

        'imagePictureBox.Image = photoImageList.Images(currentIndex)
    End Sub

    Private Sub nextButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles nextButton.Click
        DisplayNext()
    End Sub

    Private Sub previousButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles previousButton.Click
        DisplayPrevious()
    End Sub
End Class
