﻿Public Class Employee
    Public Property LastName As String
    Public Property FirstName As String



    Private monthlySalaryValue As Decimal
    Public Property MonthlySalary() As Decimal
        Get
            Return monthlySalaryValue
        End Get
        Set(ByVal value As Decimal)
            If value >= 0 Then
                monthlySalaryValue = value
            Else
                Throw New ArgumentOutOfRangeException(
                    "Salary must be greater than or equal to 0")
            End If
        End Set
    End Property


    Public Sub New(ByVal first As String, ByVal last As String,
                   ByVal salary As Decimal)
        FirstName = first
        LastName = last
        MonthlySalary = salary
    End Sub

    Public Overrides Function ToString() As String
        Return String.Format("{0,-10} {1,-10} {2,10:C}",
                             FirstName, LastName, MonthlySalary)
    End Function
End Class
