﻿Public Class Form2

    Private Sub Form2_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        aTextBox.Text = aHScrollBar.Value.ToString
        rTextBox.Text = rHScrollBar.Value.ToString
        gTextBox.Text = gHScrollBar.Value.ToString
        bTextBox.Text = bHScrollBar.Value.ToString
    End Sub

    Private Sub allHScrollBar_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rHScrollBar.ValueChanged, gHScrollBar.ValueChanged, bHScrollBar.ValueChanged, aHScrollBar.ValueChanged
        Dim hscrollbar As HScrollBar = CType(sender, HScrollBar)

        Select Case hscrollbar.Name
            Case "aHScrollBar"
                aTextBox.Text = aHScrollBar.Value.ToString
            Case "rHScrollBar"
                rTextBox.Text = rHScrollBar.Value.ToString
            Case "gHScrollBar"
                gTextBox.Text = gHScrollBar.Value.ToString
            Case "bHScrollBar"
                bTextBox.Text = bHScrollBar.Value.ToString
        End Select

        Invalidate()
    End Sub

    Protected Overrides Sub OnPaint(ByVal e As System.Windows.Forms.PaintEventArgs)
        MyBase.OnPaint(e)

        Dim g As Graphics = drawPanel.CreateGraphics
        Dim backbrush As SolidBrush = New SolidBrush(Color.Black)
        Dim frontbrush As SolidBrush = New SolidBrush(Color.Wheat)
        
        If backRadioButton.Checked Then
            backbrush = New SolidBrush(Color.FromArgb(aHScrollBar.Value,
                                                              rHScrollBar.Value,
                                                              gHScrollBar.Value,
                                                             bHScrollBar.Value))

        Else
            frontbrush = New SolidBrush(Color.FromArgb(aHScrollBar.Value,
                                                              rHScrollBar.Value,
                                                              gHScrollBar.Value,
                                                              bHScrollBar.Value))
        End If
        g.FillRectangle(backbrush, 40, 40, 50, 50)
        g.FillRectangle(frontbrush, 60, 60, 50, 50)
    End Sub

End Class